function mandacaru(actFile, calFile, task)

fprintf('\n----------------------------------\n');
fprintf('%s\n', actFile);

if (task == 1)
  [track] = createTracks4(actFile);
  identifyTracks5(actFile, calFile, track);
elseif (task == 2)
  [finalTrack] = finishTracks6(actFile, calFile);
elseif (task == 3)
  [finalTrack] = correctTracks7(actFile, calFile);
elseif (task == 4)
  trackName = [actFile '.finalTrack.mat'];
  eval(['load ' trackName ' finalTrack;']);    
  myFrames = actionMovie8(actFile, finalTrack);
  movie(myFrames, 10, 6);
end;